Import list items
https://{kibana_url}
- POST /api/lists/items/_import
- POST /s/{space_id}/api/lists/items/_import
Refer to Spaces for more information.
Import list items from a TXT or CSV file. The maximum file size is 9 million bytes.
You can import items to a new or existing list.
Query Parameters
-
list_idstring · min: 1 List's id.
Required when importing to an existing list.
-
type Type of the importing list.
Required when importing a new list that is
list_idis not specified.-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext -
refresh Determines when changes made by the request are made visible to search
-
Values:
truefalsewait_for
Responses
Successful response
-
_versionstring -
@timestampstring -
created_atstringrequired -
created_bystringrequired -
descriptionstring · min: 1required -
A string that does not contain only whitespace characters
-
idstring · min: 1required -
A string that does not contain only whitespace characters
-
immutablebooleanrequired -
metaobject -
namestring · min: 1required -
A string that does not contain only whitespace characters
-
tie_breaker_idstringrequired -
typerequired -
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext -
updated_atstringrequired -
updated_bystringrequired -
versioninteger · min: 1required
Invalid input data response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
-
messagestringrequired -
status_codeintegerrequired
Unsuccessful authentication response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Not enough privileges response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
List with specified list_id does not exist response
-
messagestringrequired -
status_codeintegerrequired
Internal server error response
-
messagestringrequired -
status_codeintegerrequired